Table Groups
Table grouping and floor plans
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Filter by location ID
Search by name or description
Sort field (name, created_at)
"name"Sort order
"asc"Value in
- "asc"
- "desc"
Page number
1 <= value1Items per page
1 <= value <= 10020Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/table-groups"{ "status": "success", "data": { "tableGroups": [ { "id": 0, "name": "string", "description": "string", "locationId": 0, "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "pagination": { "page": 1, "limit": 1, "total": 0, "totalPages": 0 } }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Location ID
Group name
1 <= lengthGroup description
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/table-groups" \ -H "Content-Type: application/json" \ -d '{ "locationId": 0, "name": "string" }'{ "status": "success", "data": { "id": 0, "name": "string", "description": "string", "locationId": 0, "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Table group ID
^[0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/table-groups/string"{ "status": "success", "data": { "id": 0, "name": "string", "description": "string", "locationId": 0, "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Table group ID
^[0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/table-groups/string"{ "status": "success", "data": { "deleted": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Table group ID
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/table-groups/string" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "id": 0, "name": "string", "description": "string", "locationId": 0, "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}